### Method

# ECal ComponentAlarms copy

since: 3.34

#### Declaration [src]

    ECalComponentAlarms*
    e_cal_component_alarms_copy (
      const ECalComponentAlarms* alarms
    )

#### Description [src]

Returns a newly allocated copy of `alarms`, which should be freed with e_cal_component_alarms_free(), when no longer needed.

Available since: 3.34

#### Return value

Type: `ECalComponentAlarms`

A newly allocated copy of `alarms`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.